#!make
SHELL := /bin/bash
include .env
include .version
export $(shell sed 's/=.*//' .env)
export $(shell sed 's/=.*//' .version)

SIREN_IMAGES = $(shell docker images 'siren' -a -q)

.PHONY: help build test up down exec clean

build:
	docker build -t siren:${SIREN_VERSION} .

test:
	docker run --env-file .env -it --rm --name siren siren:${SIREN_VERSION}

up:
	docker compose up -d

down:
	docker compose down

exec:
	docker exec -it siren bash

clean:
	docker rmi $(SIREN_IMAGES)
